<?php
define('NTLCMS', 1);
$module = 'list';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница просмотра ссылок - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Просмотр ссылок</b></div>';
if ($_SESSION['ban'] >= TIME - 60){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Временный бан за недопереходы!<br/>До разбана: '.(60 - (TIME - $_SESSION['ban'])).' сек</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php'); exit;
}
if ($_USER['badclick'] >= '50'){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Бан за недопереходы!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php'); exit;
}
$detect = new Mobile_Detect;
$detect -> setUserAgent($_USER['ua']);
if ($detect -> isUCBrowser()){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Данный браузер запрещен для серфинга!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php'); exit;
}
if (preg_match('/66.102./', $_SERVER['REMOTE_ADDR'])){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Отключите экономию трафика в браузере!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php'); exit;
}
echo '<div class="gmenu"><i class="fa fa-circle-o fa-fw"></i> '.money(round($_USER['balans'], 4)).' <span style="color:green"><sup>+ '.($_USER['privilege'] == '1' ? $set['privcost'] : $set['cost']).' руб.</sup></span></div>';
$error = null;
if (!isset($_SESSION['secured'])){
if (isset($_POST['code'])  && isset($_POST['submit'])){
if (empty($_POST['code'])){
$error.= 'Введите код с картинки!<br/>';
} elseif ($_SESSION['code'] != $_POST['code']){
$error.= 'Код с картинки введен не верно!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
$_SESSION['secured'] = time();
header ('location: '.URL.'/site_list');
}
}
echo '<div class="menu"><form action="'.URL.'/site_list" method="post">';
?>
<script>
function captcha_reload(){
document.getElementById('captcha').src = "/captcha.gif?" + Math.random();
}
</script>
<?php
echo '<a href="javascript:captcha_reload();">
<img id="captcha" src="'.URL.'/captcha.gif" alt="captcha"/></a><br/>
<input type="text" name="code" maxlength="4"/><br/>';
echo '<input type="submit" name="submit" value="Перейти к ссылкам" /></form></div>';
} else {
if (isset($_GET['updates']) && $_USER['admin'] == '1'){
$sql = DB :: run() -> query("select (`login`), (`credit`) from `users`");
while($row = $sql -> fetch(PDO::FETCH_OBJ)){
if ($row -> credit > '0'){
DB :: run() -> query("update `sites` set `active` = ? where `login` = ?", array(1, $row -> login));
} elseif($row -> credit <= '0'){
DB :: run() -> query("update `sites` set `active` = ? where `login` = ?", array(0, $row -> login));
}
}
$_SESSION['success'] = 'Ссылки успешно обновлены!';
header('Location: '.URL.'/site_list');
}
$sql = DB :: run() -> query("select `sites`.`url`, `sites`.`login`, `sites`.`id`, `sites`.`name`, `sites`.`type` from `sites` left join `click` on `click`.`login` = '".($_USER['login'])."' 
and `click`.`url` = `sites`.`url` where `sites`.`login` != '".($_USER['login'])."' and `sites`.`active` = '1' and `sites`.`status` = '1' and `click`.`url` is null limit 20");
$linkcnt = DB :: run() -> querySingle("select count(*) from `sites` left join `click` on `click`.`login` = '".($_USER['login'])."' and `click`.`url` = `sites`.`url` where `sites`.`login` != '".($_USER['login'])."' and `sites`.`active` = '1' and `sites`.`status` = '1' and `click`.`url` is null");
$status = DB :: run() -> querySingle("select count(`id`) from `sites` where `login` = ? and `status` = ?", array($ulogin, 1));
if ($status == '0'){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> У вас нет активных площадок!</center></div>';
} elseif ($linkcnt == '0'){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Сайтов для просмотра нет!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
$rowdb = DB :: run() -> query("select * from `sites` where `id` = ?", array($row -> id)) -> fetch(PDO::FETCH_OBJ);
$info = DB :: run() -> query("select * from `users` where `login` = ? limit 1", array($rowdb -> login)) -> fetch(PDO::FETCH_OBJ);	
if($row -> type == '1'){ $color = 'blue';
} elseif($row -> type == '2'){ $color = 'green';
} elseif($row -> type == '3'){ $color = 'red';
} elseif($row -> type == '4'){ $color = 'lime';
} else { $color = 'gold';
}
if ($_USER['linked'] == '0'){
echo '<div class="menu"><b>'.((int) $row -> id).'.</b> <a href="'.URL.'/'.((int) $row -> id).'.go"><span style="color:'.$color.'">'.($row -> name).'</span></a> <span class="count">'.((int) $info -> credit).'</span></div>';
} else {
echo '<div class="menu"><b>'.((int) $row -> id).'.</b> <a href="'.URL.'/'.((int) $row -> id).'.go" target="_blank"><span style="color:'.$color.'">'.($row -> name).'</span></a> <span class="count">'.((int) $info -> credit).'</span></div>';
}
}
}
}
if ($_USER['admin'] == '1') echo '<div class="menu"><i class="fa  fa-retweet fa-fw"></i> <a href="'.URL.'/site_updates">Обновить</a></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/site_list?'.mt_rand(11111,99999).'">Обновить</a></div>';
include ('../system/foot.php');
?>